package uts.sdk.modules.DMUMENGUAPP;
import io.dcloud.uniapp.*;
import io.dcloud.uniapp.extapi.*;
import io.dcloud.uts.*;
import io.dcloud.uts.Map;
import io.dcloud.uts.Set;
import kotlinx.coroutines.CoroutineScope;
import kotlinx.coroutines.Deferred;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.async;
import com.umeng.analytics.MobclickAgent;
import com.umeng.commonsdk.UMConfigure;
import io.dcloud.uts.UTSAndroid;
fun PreInit(appkey: String, channel: String) {
    UMConfigure.init(UTSAndroid.getAppContext(), appkey, channel, UMConfigure.DEVICE_TYPE_PHONE, "");
    UMConfigure.setLogEnabled(true);
}
fun onPageStart(pagename: String) {
    MobclickAgent.onPageStart(pagename);
}
fun onPageEnd(pagename: String) {
    MobclickAgent.onPageEnd(pagename);
}
fun onEventObject(eventID: String, map: UTSJSONObject) {
    MobclickAgent.onEventObject(UTSAndroid.getAppContext(), eventID, map.toMap());
}
fun onEvent(eventID: String, info: String?) {
    if (info == null) {
        MobclickAgent.onEvent(UTSAndroid.getAppContext(), eventID, eventID);
    } else {
        MobclickAgent.onEvent(UTSAndroid.getAppContext(), eventID, info);
    }
}
fun onProfileSignIn(ID: String, Provider: String?) {
    if (Provider == null) {
        MobclickAgent.onProfileSignIn(ID);
    } else {
        MobclickAgent.onProfileSignIn(Provider, ID);
    }
}
fun onProfileSignOff() {
    MobclickAgent.onProfileSignOff();
}
fun PreInitByJs(appkey: String, channel: String) {
    return PreInit(appkey, channel);
}
fun onPageStartByJs(pagename: String) {
    return onPageStart(pagename);
}
fun onPageEndByJs(pagename: String) {
    return onPageEnd(pagename);
}
fun onEventObjectByJs(eventID: String, map: UTSJSONObject) {
    return onEventObject(eventID, map);
}
fun onEventByJs(eventID: String, info: String?) {
    return onEvent(eventID, info);
}
fun onProfileSignInByJs(ID: String, Provider: String?) {
    return onProfileSignIn(ID, Provider);
}
fun onProfileSignOffByJs() {
    return onProfileSignOff();
}
